## ev-page-cache ev-page-cache |

## Synopsis

    EvPageCache*        ev_page_cache_new                   (EvDocument *document);
    gint                ev_page_cache_get_n_pages           (EvPageCache *page_cache);
    const char*         ev_page_cache_get_title             (EvPageCache *page_cache);
    void                ev_page_cache_get_size              (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *width,
                                                             gint *height);
    void                ev_page_cache_get_max_width         (EvPageCache *page_cache,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *width);
    void                ev_page_cache_get_max_height        (EvPageCache *page_cache,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *height);
    void                ev_page_cache_get_height_to_page    (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *height,
                                                             gint *dual_height);
    void                ev_page_cache_get_thumbnail_size    (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gint *width,
                                                             gint *height);
    gint                ev_page_cache_get_max_label_chars   (EvPageCache *page_cache);
    char*               ev_page_cache_get_page_label        (EvPageCache *page_cache,
                                                             gint page);
    gboolean            ev_page_cache_has_nonnumeric_page_labels
                                                            (EvPageCache *page_cache);
    const EvDocumentInfo* ev_page_cache_get_info            (EvPageCache *page_cache);
    gboolean            ev_page_cache_get_dual_even_left    (EvPageCache *page_cache);
    gint                ev_page_cache_get_current_page      (EvPageCache *page_cache);
    void                ev_page_cache_set_current_page      (EvPageCache *page_cache,
                                                             int page);
    void                ev_page_cache_set_current_page_history
                                                            (EvPageCache *page_cache,
                                                             int page);
    gboolean            ev_page_cache_set_page_label        (EvPageCache *page_cache,
                                                             const char *page_label);
    EvPageCache*        ev_page_cache_get                   (EvDocument *document);

## Description

## Details

### ev_page_cache_new ()

    EvPageCache*        ev_page_cache_new                   (EvDocument *document);

`document` : |
Returns : |

### ev_page_cache_get_n_pages ()

    gint                ev_page_cache_get_n_pages           (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_title ()

    const char*         ev_page_cache_get_title             (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_size ()

    void                ev_page_cache_get_size              (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *width,
                                                             gint *height);

`page_cache` : |
`page` : |
`rotation` : |
`scale` : |
`width` : |
`height` : |

### ev_page_cache_get_max_width ()

    void                ev_page_cache_get_max_width         (EvPageCache *page_cache,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *width);

`page_cache` : |
`rotation` : |
`scale` : |
`width` : |

### ev_page_cache_get_max_height ()

    void                ev_page_cache_get_max_height        (EvPageCache *page_cache,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *height);

`page_cache` : |
`rotation` : |
`scale` : |
`height` : |

### ev_page_cache_get_height_to_page ()

    void                ev_page_cache_get_height_to_page    (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gfloat scale,
                                                             gint *height,
                                                             gint *dual_height);

`page_cache` : |
`page` : |
`rotation` : |
`scale` : |
`height` : |
`dual_height` : |

### ev_page_cache_get_thumbnail_size ()

    void                ev_page_cache_get_thumbnail_size    (EvPageCache *page_cache,
                                                             gint page,
                                                             gint rotation,
                                                             gint *width,
                                                             gint *height);

`page_cache` : |
`page` : |
`rotation` : |
`width` : |
`height` : |

### ev_page_cache_get_max_label_chars ()

    gint                ev_page_cache_get_max_label_chars   (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_page_label ()

    char*               ev_page_cache_get_page_label        (EvPageCache *page_cache,
                                                             gint page);

`page_cache` : |
`page` : |
Returns : |

### ev_page_cache_has_nonnumeric_page_labels ()

    gboolean            ev_page_cache_has_nonnumeric_page_labels
                                                            (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_info ()

    const EvDocumentInfo* ev_page_cache_get_info            (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_dual_even_left ()

    gboolean            ev_page_cache_get_dual_even_left    (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_get_current_page ()

    gint                ev_page_cache_get_current_page      (EvPageCache *page_cache);

`page_cache` : |
Returns : |

### ev_page_cache_set_current_page ()

    void                ev_page_cache_set_current_page      (EvPageCache *page_cache,
                                                             int page);

`page_cache` : |
`page` : |

### ev_page_cache_set_current_page_history ()

    void                ev_page_cache_set_current_page_history
                                                            (EvPageCache *page_cache,
                                                             int page);

`page_cache` : |
`page` : |

### ev_page_cache_set_page_label ()

    gboolean            ev_page_cache_set_page_label        (EvPageCache *page_cache,
                                                             const char *page_label);

`page_cache` : |
`page_label` : |
Returns : |

### ev_page_cache_get ()

    EvPageCache*        ev_page_cache_get                   (EvDocument *document);

`document` : |
Returns : |